## dnsjava 2.0.6

=== Makefile ===
JAVAC = javac
JFLAGS = -g
JAR = jar cf

SUNAPIDOC = http://java.sun.com/j2se/1.4/docs/api
JAVADOC=javadoc -classpath . -d doc -windowtitle "dnsjava documentation" -link ${SUNAPIDOC}

VERSION = 2.0.6

DNSSRC = org/xbill/DNS/*.java \
	 org/xbill/DNS/utils/*.java \
	 org/xbill/DNS/security/*.java
PROGSRC = *.java

DNSCLASS = org/xbill/DNS/*.class \
	   org/xbill/DNS/utils/*.class \
	   org/xbill/DNS/security/*.class
PROGCLASS = *.class

CLASSLIST = org.xbill.DNS org.xbill.DNS.utils org.xbill.DNS.security

JARFILE = dnsjava-${VERSION}.jar

all:
	${JAVAC} ${JFLAGS} ${PROGSRC} ${DNSSRC}

jar:
	${JAR} ${JARFILE} ${PROGCLASS} ${DNSCLASS}

clean:
	rm -f ${PROGCLASS} ${DNSCLASS} ${JARFILE}

doc docs: docsclean
	if test ! -d doc ; then mkdir doc ; fi
	${JAVADOC} ${CLASSLIST}

docclean docsclean:	
	rm -rf doc/*

## dnsjava 2.0.8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SUNAPIDOC = http://java.sun.com/j2se/1.4/docs/api
 JAVADOC=javadoc -classpath . -d doc -windowtitle "dnsjava documentation" -link ${SUNAPIDOC}
 
-VERSION = 2.0.6
+VERSION = 2.0.8
 
 DNSSRC = org/xbill/DNS/*.java \
 	 org/xbill/DNS/utils/*.java \

## dnsjava 2.1.5

=== Makefile ===
--- 
+++ 
@@ -5,19 +5,17 @@
 SUNAPIDOC = http://java.sun.com/j2se/1.4/docs/api
 JAVADOC=javadoc -classpath . -d doc -windowtitle "dnsjava documentation" -link ${SUNAPIDOC}
 
-VERSION = 2.0.8
+VERSION = 2.1.5
 
 DNSSRC = org/xbill/DNS/*.java \
-	 org/xbill/DNS/utils/*.java \
-	 org/xbill/DNS/security/*.java
+	 org/xbill/DNS/utils/*.java
 PROGSRC = *.java
 
 DNSCLASS = org/xbill/DNS/*.class \
-	   org/xbill/DNS/utils/*.class \
-	   org/xbill/DNS/security/*.class
+	   org/xbill/DNS/utils/*.class
 PROGCLASS = *.class
 
-CLASSLIST = org.xbill.DNS org.xbill.DNS.utils org.xbill.DNS.security
+CLASSLIST = org.xbill.DNS org.xbill.DNS.utils
 
 JARFILE = dnsjava-${VERSION}.jar

=== debian/changelog ===
dnsjava (2.1.5-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Update to remove internet connectivity requirement. (Closes: #708692)

 -- Damian Minkov <damencho@jitsi.org>  Fri, 26 Jul 2013 16:08:27 +0300

dnsjava (2.1.4-0.1) unstable; urgency=low

  [ Damian Minkov ]
  * Non-maintainer upload.
  * New upstream release. (Closes: #699033)
  * Changed the source format to 3.0 (quilt).
  * Switched debhelper's compatibility level from 5 to 9.
  * Added patch to build bundle jar by default, that adds support
  for an OSGi bundle.
  * Removed a bad field from debian/control ("XSBC-Original-Maintainer").
  * Changed Build-Depends switched debhelper version to 9.
  * Increased Standards-Version to 3.9.3.
  * Changed debian/rules to rename the built jar OSGi bundle file to the name
  used in the package.

  [ Raphaël Hertzog ]
  * Sponsoring the upload.
  * Drop Dm-Upload-Allowed field from debian/control since it's no longer used
    by dak.
  * Drop the useless debian/libdnsjava-java.jlibs.

 -- Damian Minkov <damencho@jitsi.org>  Tue, 26 Mar 2013 10:45:35 +0200

dnsjava (2.0.8-1) unstable; urgency=low

  * Port package to pkg-java based largely on existing Ubuntu package.
  [ by sponsor moeller@d.o ]
  * New upstream version (Closes: #562199).
  * Disabled checks because of issue with byteArrayToString().

 -- Chris Grzegorczyk <grze@eucalyptus.com>  Thu, 17 Dec 2009 01:08:10 -0800

dnsjava (2.0.6-0ubuntu3) karmic; urgency=low

  * debian/patches/run-tests.patch: Disable the AddressTest testsuite since
    it needs network and therefore fails on most buildds, resulting in FTBFS.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 24 Aug 2009 13:48:12 +0200

dnsjava (2.0.6-0ubuntu2) karmic; urgency=low

  * debian/control: Downgrade minimal JRE requirements to
    java2-runtime-headless since code is java2-compatible.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 24 Aug 2009 11:42:18 +0200

dnsjava (2.0.6-0ubuntu1) karmic; urgency=low

  * Initial release. New Eucalyptus dependency.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 21 Jul 2009 15:17:03 +0200

=== debian/control ===
Source: dnsjava
Section: java
Priority: optional
Maintainer: Chris Grzegorczyk <grze@eucalyptus.com>
Uploaders: Graziano Obertelli <graziano@eucalyptus.com>, Kyo Lee <kyo.lee@eucalyptus.com>
Build-Depends-Indep: default-jdk, junit
Build-Depends: ant, ant-optional, debhelper (>= 9), cdbs, bnd
Standards-Version: 3.9.4
Homepage: http://www.dnsjava.org

Package: libdnsjava-java
Architecture: all
Depends: ${misc:Depends}
Description: Implementation of DNS in Java
 dnsjava is an implementation of DNS in Java. It can be used for queries,
 zone transfers, and dynamic updates. It includes a cache which can be
 used by clients, and a minimal implementation of a server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME            := /usr/lib/jvm/default-java
#DEB_ANT_CHECK_TARGET := run_tests
DEB_JARS             := junit ant-junit

binary-post-install/lib$(DEB_SOURCE_PACKAGE)-java::
	mv org.xbill.dns_$(DEB_UPSTREAM_VERSION).jar $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar
	dh_install $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar usr/share/java
	dh_link -plib$(DEB_SOURCE_PACKAGE)-java usr/share/java/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).jar usr/share/java/$(DEB_SOURCE_PACKAGE).jar

=== debian/watch ===
version=3
http://www.dnsjava.org/download/dnsjava-(.+).tar.gz

## dnsjava 2.1.7

=== debian/changelog ===
dnsjava (2.1.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Damian Minkov <damencho@jitsi.org>  Wed, 18 Mar 2015 10:33:46 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Graziano Obertelli <graziano@eucalyptus.com>, Kyo Lee <kyo.lee@eucalyptus.com>
 Build-Depends-Indep: default-jdk, junit
 Build-Depends: ant, ant-optional, debhelper (>= 9), cdbs, bnd
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.dnsjava.org
 
 Package: libdnsjava-java

## dnsjava 2.1.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SUNAPIDOC = http://java.sun.com/j2se/1.4/docs/api
 JAVADOC=javadoc -classpath . -d doc -windowtitle "dnsjava documentation" -link ${SUNAPIDOC}
 
-VERSION = 2.1.5
+VERSION = 2.1.7
 
 DNSSRC = org/xbill/DNS/*.java \
 	 org/xbill/DNS/utils/*.java

=== debian/changelog ===
dnsjava (2.1.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Build with Maven and install the artifacts in /use/share/maven-repo
  * debian/control:
    - Added the missing Vcs-* fields
    - The package is now maintained by the Java Team
  * debian/copyright: Converted to the Copyright Format 1.0
  * Removed bnd.jar and the javadoc from the upstream tarball (Closes: #805412)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jan 2016 13:24:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: dnsjava
 Section: java
 Priority: optional
-Maintainer: Chris Grzegorczyk <grze@eucalyptus.com>
-Uploaders: Graziano Obertelli <graziano@eucalyptus.com>, Kyo Lee <kyo.lee@eucalyptus.com>
-Build-Depends-Indep: default-jdk, junit
-Build-Depends: ant, ant-optional, debhelper (>= 9), cdbs, bnd
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
+           Graziano Obertelli <graziano@eucalyptus.com>,
+           Kyo Lee <kyo.lee@eucalyptus.com>
+Build-Depends: default-jdk, junit, debhelper (>= 9), maven-debian-helper, libmaven-bundle-plugin-java
 Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/dnsjava.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/dnsjava.git
 Homepage: http://www.dnsjava.org
 
 Package: libdnsjava-java

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.dnsjava.org/download/dnsjava-(.+).tar.gz

## dnsjava 2.1.8

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SUNAPIDOC = http://java.sun.com/j2se/1.4/docs/api
 JAVADOC=javadoc -classpath . -d doc -windowtitle "dnsjava documentation" -link ${SUNAPIDOC}
 
-VERSION = 2.1.7
+VERSION = 2.1.8
 
 DNSSRC = org/xbill/DNS/*.java \
 	 org/xbill/DNS/utils/*.java

=== debian/changelog ===
dnsjava (2.1.8-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #875357)
  * Standards-Version updated to 4.1.3
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 Mar 2018 15:30:35 +0100

dnsjava (2.1.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Updated the Maven POM
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Jan 2017 00:29:04 +0100

=== debian/control ===
Source: dnsjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Grzegorczyk <grze@eucalyptus.com>,
 Graziano Obertelli <graziano@eucalyptus.com>,
 Kyo Lee <kyo.lee@eucalyptus.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 junit,
 libmaven-bundle-plugin-java,
 maven-debian-helper
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/dnsjava.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/dnsjava.git
Homepage: http://www.dnsjava.org

Package: libdnsjava-java
Architecture: all
Depends: ${misc:Depends}
Description: Implementation of DNS in Java
 dnsjava is an implementation of DNS in Java. It can be used for queries,
 zone transfers, and dynamic updates. It includes a cache which can be
 used by clients, and a minimal implementation of a server.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME = /usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	cp debian/pom.xml .
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f pom.xml

## dnsjava 3.6.2

=== debian/changelog ===
dnsjava (3.6.2-2) unstable; urgency=medium

  * Team upload.  (Closes: #1093673)
  * Remove debian/pom.xml in favor of upstream pom
  * Ignore maven plugins either unnecessary or used during tests.
    (Not all test dependencies are packaged for Debian.)
  * Add build-deps on: libmaven-dependency-plugin-java
    liblombok-java, libbuild-helper-maven-plugin-java
    libjna-java, libjna-platform-java, libmockito-java
  * Add 01-build.patch to ignore jcstress-core during annotations phase
  * Set Rules-Requires-Root: no in debian/control

 -- tony mancill <tmancill@debian.org>  Fri, 31 Jan 2025 21:08:53 -0800

dnsjava (3.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1077368 (CVE-2024-25638)
    Closes: #1077750 (CVE-2023-50387)
    Closes: #1077751 (CVE-2023-50868)
  * Fix watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/copyright: review (thanks to lrc)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jan 2025 20:38:23 +0100

=== debian/control ===
Source: dnsjava
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Chris Grzegorczyk <grze@eucalyptus.com>,
           Graziano Obertelli <graziano@eucalyptus.com>,
           Kyo Lee <kyo.lee@eucalyptus.com>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               junit,
               libbuild-helper-maven-plugin-java,
               libjna-java,
               libjna-platform-java,
               liblombok-java,
               libmaven-bundle-plugin-java,
               libmaven-dependency-plugin-java,
               libmockito-java,
               maven-debian-helper
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/dnsjava
Vcs-Git: https://salsa.debian.org/java-team/dnsjava.git
Homepage: http://www.dnsjava.org
Rules-Requires-Root: no

Package: libdnsjava-java
Architecture: all
Depends: ${misc:Depends}
Description: Implementation of DNS in Java
 dnsjava is an implementation of DNS in Java. It can be used for queries,
 zone transfers, and dynamic updates. It includes a cache which can be
 used by clients, and a minimal implementation of a server.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/dnsjava/dnsjava/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## dnsjava 3.6.3

=== debian/changelog ===
dnsjava (3.6.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Build-Depends: libmaven-enforcer-plugin-java,
    libproperties-maven-plugin-java

  [ Vladimir Petko ]
  * d/maven.properties: set lombok.version to debian
    (Closes: #1123383).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 17 Dec 2025 13:31:11 +1300

=== debian/control ===
Source: dnsjava
Standards-Version: 4.7.2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Grzegorczyk <grze@eucalyptus.com>,
 Graziano Obertelli <graziano@eucalyptus.com>,
 Kyo Lee <kyo.lee@eucalyptus.com>,
Section: java
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 junit,
 libbuild-helper-maven-plugin-java,
 libjna-java,
 libjna-platform-java,
 liblombok-java,
 libmaven-bundle-plugin-java,
 libmaven-dependency-plugin-java,
 libmaven-enforcer-plugin-java,
 libmockito-java,
 libproperties-maven-plugin-java,
 maven-debian-helper,
Vcs-Browser: https://salsa.debian.org/java-team/dnsjava
Vcs-Git: https://salsa.debian.org/java-team/dnsjava.git
Homepage: http://www.dnsjava.org
Rules-Requires-Root: no

Package: libdnsjava-java
Architecture: all
Depends:
 ${misc:Depends},
Description: Implementation of DNS in Java
 dnsjava is an implementation of DNS in Java. It can be used for queries,
 zone transfers, and dynamic updates. It includes a cache which can be
 used by clients, and a minimal implementation of a server.

=== debian/watch ===
Version: 5

Template: Github
Owner: dnsjava
Project: dnsjava
